{% extends 'core/layout_base.html' %}
{% load sekizai_tags %}

{% comment %}

Main application layout.

Blocks:
    content: Page content.

Variables:


{% endcomment %}

{% load i18n %}
{% load extra_filters %}


{% block body %}

    {% addtoblock 'css' %}
        <link rel="stylesheet" href="{{ STATIC_URL }}frontend/css/vendor.css" />
    {% endaddtoblock %}

    {% if layout_name == 'hzpc' %}
        {% addtoblock "css" %}
            <link href="{{STATIC_URL}}frontend/css/hzpc/bootstrap.css" rel="stylesheet" type="text/css" />
        {% endaddtoblock %}

        {% addtoblock "css" %}
            <link href="{{STATIC_URL}}frontend/css/hzpc/app.css" rel="stylesheet" type="text/css" />
        {% endaddtoblock %}
    {% else %}
        {% addtoblock "css" %}
            <link href="{{STATIC_URL}}frontend/css/bootstrap.css" rel="stylesheet" type="text/css" />
        {% endaddtoblock %}

        {% addtoblock "css" %}
            <link href="{{STATIC_URL}}frontend/css/app.css" rel="stylesheet" type="text/css" />
        {% endaddtoblock %}
    {% endif %}

    {% addtoblock "css" %}
        <link href="{{STATIC_URL}}css/outside.css" rel="stylesheet" type="text/css" />
    {% endaddtoblock %}

    {% addtoblock "javascript" %}
    {% endaddtoblock %}

    <div class="document-wrapper">

        {# Logo slice #}
        <div class="slice" id="logo-slice">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        {% if layout_name == 'hzpc' %}
                        <a class="agriplace-logo" href="http://www.hzpc.nl">
                            <img src="{{ STATIC_URL }}frontend/img/logoHzpcbw.png" alt="HZPC" />
                        </a>
                        {% else %}
                        <a class="agriplace-logo" href="http://www.agriplace.com">
                            <img src="{{ STATIC_URL }}frontend/img/agriplace-logo-1.png" alt="AgriPlace" />
                        </a>
                        {% endif %}
                        <a class="current-organization" href="{% url "organization_list" %}">
                            {{ organization|truncate_chars:20|default:'' }}
                        </a>

                        {% block corner_menu %}
                        {% endblock %}

                    </div>
                </div>
            </div>
        </div>

        {% if organization %}
        {# Organization slice #}
        <div class="organization-slice">
            <div class="container">
                <div class="row">
                    <div class="col-md-12">
                        <a href="{% url "organization_list" %}">
                            {% if organization.logo %}
                                <img class="organization-logo"
                                     src="{{ organization.logo.url }}">
                            {% endif %}
                            {{ organization }}
                        </a>
                    </div>
                </div>
            </div>
        </div>
        {% endif %}

        {% block content_slice %}
        {# Content slice #}
        <div class="slice content-slice">
            <div class="container">

                <!-- Messages row -->
                <div class="row">
                    <div class="col-md-12">
                        <ul class="messages">
                            {% for message in messages %}
                                <li class="alert {% if message.tags %}alert-{{ message.tags }}{% endif %}">
                                    {{ message }}
                                    <a href="#" class="close" data-dismiss="alert">×</a>
                                </li>
                            {% endfor %}
                        </ul>

                    </div>
                </div>

                <!-- Content row -->
                <div class="row">
                    <div class="col-md-12">
                        {% block content %}
                            <h2>Content.</h2>
                        {% endblock content %}

                    </div>
                </div>
            </div>
        </div>
        {% endblock content_slice %}

        <div class="push hidden-print"></div>

    </div>


    {% comment %}
    <div class="footer-slice">
        <div class="container">
            <div class="col-md-12">
                <div class="pull-left">
                    <strong>
                        People 4 Earth, 2013
                    </strong>
                    <p>
                        http://www.people4earth.org
                    </p>
                </div>

                <div class="pull-right">
                    SAMS v0.1
                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    </div>
    {% endcomment %}

    {# Sekizai #}


{% endblock body %}

